import { request } from "@/http/axios"

/** 查 */
export function findAllPrecipitation() {
  return request({
    url: "/dicekePrecipitation/findAllPrecipitation",
    method: "get"
  })
}

/** 删 */
export function deletePrecipitation(id: number) {
  return request({
    url: `/dicekePrecipitation/deletePrecipitation/${id}`,
    method: "delete"
  })
}

/** 根据id查平盘信息 */
export function findPrecipitationById(id: number) {
  return request({
    url: `/dicekePrecipitation/findPrecipitationById/${id}`,
    method: "get"
  })
}

/** 修改盘信息 */
export function updatePrecipitationApi(precipitationform: any) {
  return request({
    url: `/dicekePrecipitation/updatePrecipitation`,
    method: "post",
    data: precipitationform
  })
}

export function addPrecipitationApi(precipitationform: any) {
  return request({
    url: `/dicekePrecipitation/addPrecipitation`,
    method: "post",
    data: precipitationform
  })
}
